<?php

namespace App\Models\Invoicing;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TaxFormat extends Model
{
  //* Associated Table & Primary Key
    protected $table = 'tax_formats';
    protected $primaryKey = 'id';

  //* Fillable Fields
    protected $fillable = [
        'serie',
        'base_color',
        'url_logo',
    ];

  //* Relationships
    public function taxInvoices() {
        return $this->hasMany(TaxInvoice::class);
    }

    public function taxPayments() {
        return $this->hasMany(TaxPayment::class);
    }
}
